> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar usuários



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json get /usuarios
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /usuarios:
    get:
      tags:
        - Usuarios
      summary: Listar usuários
      operationId: ListarUsuariosAction
      parameters:
        - $ref: '#/components/parameters/idUsuarioFiltro'
        - $ref: '#/components/parameters/nomeUsuario'
        - $ref: '#/components/parameters/tipoUsuario'
        - $ref: '#/components/parameters/get_usuarios_limit'
        - $ref: '#/components/parameters/get_usuarios_offset'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  itens:
                    type: array
                    items:
                      $ref: '#/components/schemas/UsuarioModelResponse'
                  paginacao:
                    $ref: '#/components/schemas/PaginatedResultModel'
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    idUsuarioFiltro:
      name: id
      in: query
      description: Pesquisa pelo id do usuário
      required: false
      schema:
        type: string
    nomeUsuario:
      name: nome
      in: query
      description: Pesquisa por nome parcial ou completo
      required: false
      schema:
        type: string
    tipoUsuario:
      name: tipo
      in: query
      description: |-
        Pesquisa por tipo de usuário
        - "vendedor" - Vendedor
        - "" (vazio) - Usuário padrão
        - "contador" - Contador
      required: false
      schema:
        type: string
        enum:
          - vendedor
          - ''
          - contador
    get_usuarios_limit:
      name: limit
      in: query
      description: Limite da paginação
      required: false
      schema:
        type: integer
        default: 100
    get_usuarios_offset:
      name: offset
      in: query
      description: Offset da paginação
      required: false
      schema:
        type: integer
        default: 0
  schemas:
    UsuarioModelResponse:
      title: ' '
      description: ' '
      properties:
        id:
          type: integer
          nullable: true
        nome:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        emailComunicacao:
          type: string
          nullable: true
        tipo:
          description: |-
            Tipo/papel do usuário
            - "vendedor" - Vendedor
            - "" (vazio) - Usuário padrão
            - "contador" - Contador
          type: string
          enum:
            - vendedor
            - ''
            - contador
          nullable: true
      type: object
    PaginatedResultModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            limit:
              type: integer
            offset:
              type: integer
            total:
              type: integer
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````